org.apache.mina.service.executor

## Class OrderedHandlerExecutor

- java.lang.Object
- - org.apache.mina.service.executor.OrderedHandlerExecutor

All Implemented Interfaces:
  IoHandlerExecutor

    public final class OrderedHandlerExecutor
    extends Object
    implements IoHandlerExecutor

Use this executor if you want the `IoHandler` events of a session to be executed in order and on the same thread. In your `IoHandler` code you don't need to care about session level concurrency.

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`OrderedHandlerExecutor(int workerThreadCount, int queueSize)` Create an `OrderedHandlerExecutor` with a given number of thread and a given queue size.

### Method Summary

Methods
`void` `execute(Event event)` execute a given event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrderedHandlerExecutor

    public OrderedHandlerExecutor(int workerThreadCount,
                          int queueSize)

Create an `OrderedHandlerExecutor` with a given number of thread and a given queue size.

Parameters:
  `workerThreadCount` - the worker thread count
  `queueSize` - the size of the queue for each worker thread

### Method Detail

#### execute

    public void execute(Event event)

execute a given event

Specified by:
  `execute` in interface `IoHandlerExecutor`
Parameters:
  `event` - the event to execute